Bug 9242 - Quirksmode: Form input fields overflow table cell
: Quirksmode: Form input fields overflow table cell
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Forms
: 420+
: PC Mac OS X 10.4
: P2 Normal
Assigned To: Nobody
http://www.quirksmode.org/bugreports/...
:
Depends on:
Blocks: 9610
  Show dependency treegraph
 
Reported: 2006-06-02 11:54 PDT by Adele Peterson
Modified: 2007-01-28 19:40 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adele Peterson 2006-06-02 11:54:36 PDT
http://www.quirksmode.org/bugreports/archives/safari/index.html

"Attempting to get a text input field to expand to fill the browser in a nested table (table-layout: fixed) will cause the input field to overflow its surrounding table cell. Occurs with select boxes as well.

Test page http://mattwright.com/safari/inputoverflow.html
Workaround is not included
Reported by: Matt Wright."
Comment 1 Joost de Valk (AlthA) 2006-06-24 13:14:44 PDT
I can confirm that this bug is still valid on 24 june 2006 :)
Comment 2 Joost de Valk (AlthA) 2006-06-24 13:24:50 PDT
Changing component.
Comment 3 David Kilzer (:ddkilzer) 2007-01-28 19:40:29 PST
The test case works now (matches Firefox 2.0.0.1 rendering).  Probably fixed by one of Mitz's recent table layout fixes.

Tested with a locally-built debug build of WebKit r19202 with Safari 2.0.4 (419.3) on Mac OS X 10.4.8 (8L127).

I posted a comment to the quirksmode bugreport, but it's been filtered until the author clears it.